Name:           getvmwareplayer
Version:        17.5.1
Release:        %mkrel 1
License:        GNU General Public License (GPL)
URL:            https://www.vmware.com/
Source:         %{name}-%{version}.tar.xz
Summary:        Script to manage VMwarePlayer installation
Summary(de):    Skript zum Management der Installation von VMwarePlayer
Group:          Emulators
Requires:	libnotify
Requires:	zenity
Requires:	bash
Requires:	wget apt apt-common
Requires:	gksu
Requires:	python >= 2.7
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:	%{name} < %version

%description
This script provides management of VMwarePlayer for PCLinuxOS.

%description -l de
Dieses Script verwaltet VMwarePlayer für PCLinuxOS.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -m 0644 %{name}.png %{buildroot}/%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT/%_datadir/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=VMwarePlayer Manager
GenericName=VMwarePlayer Manager
Type=Application
Exec=getvmwareplayer
TryExec=getvmwareplayer
Icon=getvmwareplayer.png
Comment=Manage VMwarePlayer installation
Categories=PackageManager;GTK;X-MandrivaLinux-System-Configuration-Packaging;
Terminal=false
StartupNotify=true
EOF


%files 
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%clean
rm -rf %{buildroot}

%posttrans
SYSUSER=$(who |cut -d' ' -f1)
su $SYSUSER -c 'notify-send "VMwarePlayer Manager" "To manage your VMwarePlayer installation please run: PCmenu -> Software Center -> VMwarePlayer Manager" -i /usr/share/pixmaps/getvmwareplayer.png -t 10000'


%changelog
* Wed Feb 28 2024 pp <pp> 17.5.1-1pclos2024
- new version

* Fri Oct 20 2023 pp <pp> 17.5.0-1pclos2023
- new version

* Wed Apr 26 2023 pp <pp> 17.0.2-1pclos2023
- new version

* Fri Feb 03 2023 pp <pp> 17.0.1-1pclos2023
- new version

* Fri Nov 18 2022 pp <pp> 17.0.0-1pclos2022
- new version

* Fri Jul 22 2022 pp <pp> 16.2.4-1pclos2022
- new version

* Fri Mar 11 2022 pp <pp> 16.2.3-1pclos2022
- new version
- change download link to nluug

* Wed Nov 10 2021 pp <pp> 16.2.1-1pclos2021
- update

* Fri Oct 15 2021 pp <pp> 16.2.0-1pclos2021
- update

* Wed May 19 2021 pp <pp> 16.1.2-1pclos2021
- update

* Fri Apr 02 2021 pp <pp> 16.1.1-1pclos2021
- update

* Fri Nov 20 2020 pp <pp> 16.1.0-1pclos2020
- update

* Sun Oct 11 2020 pp <pp> 16.0.0-2pclos2020
- added skip_stack_validation in script

* Tue Sep 15 2020 pp <pp> 16.0.0-1pclos2020
- update

* Wed Jun 10 2020 pp <pp> 15.5.6-1pclos2020
- update

* Sat May 30 2020 pp <pp> 15.5.5-1pclos2020
- update

* Mon Mar 16 2020 pp <pp> 15.5.2-2pclos2020
- clean up

* Fri Mar 13 2020 pp <pp> 15.5.2-1pclos2020
- update

* Fri Nov 15 2019 pp <pp> 15.5.1-1pclos2019
- update

* Sun Oct 20 2019 <pp> 15.5.0-3pclos2019
- update desktop file

* Thu Sep 26 2019 pp <pp> 15.5.0-2pclos2019
- update summary section

* Fri Sep 20 2019 pp <pp> 15.5.0-1pclos2019
- update

* Wed May 15 2019 pp <pp> 15.1.0-1pclos2019
- update

* Fri Mar 29 2019 pp <pp> 15.0.4-1pclos2019
- update

* Fri Mar 15 2019 pp <pp> 15.0.3-1pclos2019
- update

* Thu Nov 29 2018 pp <pp> 15.0.2-1pclos2018
- update

* Sat Nov 10 2018 pp <pp> 15.0.1-1pclos2018
- update

* Wed Sep 26 2018 pp <pp> 15.0.0-1pclos2018
- update

* Fri Aug 31 2018 pp <pp> 14.1.3-1pclos2018
- update

* Thu May 24 2018 pp <pp> 14.1.2-1pclos2018
- update

* Thu Jan 11 2018 pp <pp> 14.1.1-1pclos2018
- update

* Sun Dec 24 2017 pp <pp> 14.1.0-1pclos2018
- update

* Wed Oct 04 2017 pp <pp> 14.0.0-1pclos2017
- update

* Tue Jul 25 2017 bb2 <bb2> - 12.5.7-2pclos2017
- remove Encoding=UTF-8 from menu file

* Mon Jul 24 2017 pp <pp> 12.5.7-1pclos2017
- initial package
